API ReferenceShipments
Update shipment
Update shipments only when they are in Not successful (1) or Waiting for pickup (2) status.
POST
/v3/bill/update-shippingUpdate a shipment by shipment code.
Auth: Bearer access token
Request body
| Field | Type | Required | Description |
|---|---|---|---|
bill_code | string | Yes | Shipment code to update. |
cod_amount | number | No | New COD amount. |
cargo_value | number | No | Cargo value. |
weight | number | No | Cargo weight. |
length | number | No | Package length. |
height | number | No | Package height. |
width | number | No | Package width. |
cargo_content | string | No | Cargo content. |
receiver_phone | string | No | Receiver phone number. |
receiver_name | string | No | Receiver name. |
receiver_address | string | No | Receiver full address. |
package_no | number | No | Number of packages. |
is_return_doc | number | No | 1 when document return is required. |
note | string | No | Delivery note. |
is_installation | number | No | 1 if delivery includes installation support. |
curl --request POST \
--url https://apisandbox.ntlogistics.vn/v3/bill/update-shipping \
--header "Authorization: Bearer <access_token>" \
--header "Content-Type: application/json" \
--data '{
"bill_code": "TEST-009",
"cod_amount": 200000,
"is_return_doc": 0
}'Response
{
"success": true,
"message": "Update successful",
"data": {
"bill_id": 159839,
"bill_code": "CP15983901",
"ref_code": "TEST-009",
"status_id": 2,
"cod_amount": 200000,
"total_fee": 38962
}
}
Failed response
{
"success": false,
"message": "descriptions for detail error",
"data": {}
}